aagc.vo

## Class RicettaErogataRequest

- java.lang.Object
- - aagc.vo.RicettaErogataRequest

-     public class RicettaErogataRequest
      extends java.lang.Object

  Classe Java per ricettaErogataRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="ricettaErogataRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="identificativoRicetta" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="idPrescrittore" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="flagSuggerita" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0|1)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataEmissione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataErogazione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dirittoNotturno" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codiceEsenzione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="5"/>
                     <pattern value="[a-zA-Z0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="flagIndennitaInformatica" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0|1)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="ticketRicetta" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codiceFiscaleAssistito" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="([a-zA-Z]{6}[0-9]{2}[a-zA-Z]{1}[0-9]{2}[a-zA-Z]{1}[0-9]{3}[a-zA-Z]{1})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="idAssistitoFuoriAnagrafe" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="assistitoFuoriAnagrafe" type="{http://www.nsisr.puglia.it/Schemas/}assistibileFuoriAnagrafeRequest" minOccurs="0"/>
               <element name="elencoPrestazioni">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="prestazione" type="{http://www.nsisr.puglia.it/Schemas/}prestazioneErogataRequest" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RicettaErogataRequest.ElencoPrestazioni` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AssistibileFuoriAnagrafeRequest` | `assistitoFuoriAnagrafe`
    `protected java.lang.String` | `codiceEsenzione`
    `protected java.lang.String` | `codiceFiscaleAssistito`
    `protected java.lang.String` | `dataEmissione`
    `protected java.lang.String` | `dataErogazione`
    `protected java.lang.String` | `dirittoNotturno`
    `protected RicettaErogataRequest.ElencoPrestazioni` | `elencoPrestazioni`
    `protected java.lang.String` | `flagIndennitaInformatica`
    `protected java.lang.String` | `flagSuggerita`
    `protected java.lang.String` | `idAssistitoFuoriAnagrafe`
    `protected java.lang.String` | `identificativoRicetta`
    `protected java.lang.String` | `idPrescrittore`
    `protected java.lang.String` | `ticketRicetta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RicettaErogataRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssistibileFuoriAnagrafeRequest` | `getAssistitoFuoriAnagrafe()` Recupera il valore della proprietà assistitoFuoriAnagrafe.
    `java.lang.String` | `getCodiceEsenzione()` Recupera il valore della proprietà codiceEsenzione.
    `java.lang.String` | `getCodiceFiscaleAssistito()` Recupera il valore della proprietà codiceFiscaleAssistito.
    `java.lang.String` | `getDataEmissione()` Recupera il valore della proprietà dataEmissione.
    `java.lang.String` | `getDataErogazione()` Recupera il valore della proprietà dataErogazione.
    `java.lang.String` | `getDirittoNotturno()` Recupera il valore della proprietà dirittoNotturno.
    `RicettaErogataRequest.ElencoPrestazioni` | `getElencoPrestazioni()` Recupera il valore della proprietà elencoPrestazioni.
    `java.lang.String` | `getFlagIndennitaInformatica()` Recupera il valore della proprietà flagIndennitaInformatica.
    `java.lang.String` | `getFlagSuggerita()` Recupera il valore della proprietà flagSuggerita.
    `java.lang.String` | `getIdAssistitoFuoriAnagrafe()` Recupera il valore della proprietà idAssistitoFuoriAnagrafe.
    `java.lang.String` | `getIdentificativoRicetta()` Recupera il valore della proprietà identificativoRicetta.
    `java.lang.String` | `getIdPrescrittore()` Recupera il valore della proprietà idPrescrittore.
    `java.lang.String` | `getTicketRicetta()` Recupera il valore della proprietà ticketRicetta.
    `void` | `setAssistitoFuoriAnagrafe(AssistibileFuoriAnagrafeRequest value)` Imposta il valore della proprietà assistitoFuoriAnagrafe.
    `void` | `setCodiceEsenzione(java.lang.String value)` Imposta il valore della proprietà codiceEsenzione.
    `void` | `setCodiceFiscaleAssistito(java.lang.String value)` Imposta il valore della proprietà codiceFiscaleAssistito.
    `void` | `setDataEmissione(java.lang.String value)` Imposta il valore della proprietà dataEmissione.
    `void` | `setDataErogazione(java.lang.String value)` Imposta il valore della proprietà dataErogazione.
    `void` | `setDirittoNotturno(java.lang.String value)` Imposta il valore della proprietà dirittoNotturno.
    `void` | `setElencoPrestazioni(RicettaErogataRequest.ElencoPrestazioni value)` Imposta il valore della proprietà elencoPrestazioni.
    `void` | `setFlagIndennitaInformatica(java.lang.String value)` Imposta il valore della proprietà flagIndennitaInformatica.
    `void` | `setFlagSuggerita(java.lang.String value)` Imposta il valore della proprietà flagSuggerita.
    `void` | `setIdAssistitoFuoriAnagrafe(java.lang.String value)` Imposta il valore della proprietà idAssistitoFuoriAnagrafe.
    `void` | `setIdentificativoRicetta(java.lang.String value)` Imposta il valore della proprietà identificativoRicetta.
    `void` | `setIdPrescrittore(java.lang.String value)` Imposta il valore della proprietà idPrescrittore.
    `void` | `setTicketRicetta(java.lang.String value)` Imposta il valore della proprietà ticketRicetta.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identificativoRicetta

          protected java.lang.String identificativoRicetta

    - #### idPrescrittore

          protected java.lang.String idPrescrittore

    - #### flagSuggerita

          protected java.lang.String flagSuggerita

    - #### dataEmissione

          protected java.lang.String dataEmissione

    - #### dataErogazione

          protected java.lang.String dataErogazione

    - #### dirittoNotturno

          protected java.lang.String dirittoNotturno

    - #### codiceEsenzione

          protected java.lang.String codiceEsenzione

    - #### flagIndennitaInformatica

          protected java.lang.String flagIndennitaInformatica

    - #### ticketRicetta

          protected java.lang.String ticketRicetta

    - #### codiceFiscaleAssistito

          protected java.lang.String codiceFiscaleAssistito

    - #### idAssistitoFuoriAnagrafe

          protected java.lang.String idAssistitoFuoriAnagrafe

    - #### assistitoFuoriAnagrafe

          protected AssistibileFuoriAnagrafeRequest assistitoFuoriAnagrafe

    - #### elencoPrestazioni

          protected RicettaErogataRequest.ElencoPrestazioni elencoPrestazioni

  - ### Constructor Detail

    - #### RicettaErogataRequest

          public RicettaErogataRequest()

  - ### Method Detail

    - #### getIdentificativoRicetta

          public java.lang.String getIdentificativoRicetta()

      Recupera il valore della proprietà identificativoRicetta.
      Returns:
        possible object is `String`

    - #### setIdentificativoRicetta

          public void setIdentificativoRicetta(java.lang.String value)

      Imposta il valore della proprietà identificativoRicetta.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdPrescrittore

          public java.lang.String getIdPrescrittore()

      Recupera il valore della proprietà idPrescrittore.
      Returns:
        possible object is `String`

    - #### setIdPrescrittore

          public void setIdPrescrittore(java.lang.String value)

      Imposta il valore della proprietà idPrescrittore.
      Parameters:
        `value` - allowed object is `String`

    - #### getFlagSuggerita

          public java.lang.String getFlagSuggerita()

      Recupera il valore della proprietà flagSuggerita.
      Returns:
        possible object is `String`

    - #### setFlagSuggerita

          public void setFlagSuggerita(java.lang.String value)

      Imposta il valore della proprietà flagSuggerita.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataEmissione

          public java.lang.String getDataEmissione()

      Recupera il valore della proprietà dataEmissione.
      Returns:
        possible object is `String`

    - #### setDataEmissione

          public void setDataEmissione(java.lang.String value)

      Imposta il valore della proprietà dataEmissione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataErogazione

          public java.lang.String getDataErogazione()

      Recupera il valore della proprietà dataErogazione.
      Returns:
        possible object is `String`

    - #### setDataErogazione

          public void setDataErogazione(java.lang.String value)

      Imposta il valore della proprietà dataErogazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDirittoNotturno

          public java.lang.String getDirittoNotturno()

      Recupera il valore della proprietà dirittoNotturno.
      Returns:
        possible object is `String`

    - #### setDirittoNotturno

          public void setDirittoNotturno(java.lang.String value)

      Imposta il valore della proprietà dirittoNotturno.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceEsenzione

          public java.lang.String getCodiceEsenzione()

      Recupera il valore della proprietà codiceEsenzione.
      Returns:
        possible object is `String`

    - #### setCodiceEsenzione

          public void setCodiceEsenzione(java.lang.String value)

      Imposta il valore della proprietà codiceEsenzione.
      Parameters:
        `value` - allowed object is `String`

    - #### getFlagIndennitaInformatica

          public java.lang.String getFlagIndennitaInformatica()

      Recupera il valore della proprietà flagIndennitaInformatica.
      Returns:
        possible object is `String`

    - #### setFlagIndennitaInformatica

          public void setFlagIndennitaInformatica(java.lang.String value)

      Imposta il valore della proprietà flagIndennitaInformatica.
      Parameters:
        `value` - allowed object is `String`

    - #### getTicketRicetta

          public java.lang.String getTicketRicetta()

      Recupera il valore della proprietà ticketRicetta.
      Returns:
        possible object is `String`

    - #### setTicketRicetta

          public void setTicketRicetta(java.lang.String value)

      Imposta il valore della proprietà ticketRicetta.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceFiscaleAssistito

          public java.lang.String getCodiceFiscaleAssistito()

      Recupera il valore della proprietà codiceFiscaleAssistito.
      Returns:
        possible object is `String`

    - #### setCodiceFiscaleAssistito

          public void setCodiceFiscaleAssistito(java.lang.String value)

      Imposta il valore della proprietà codiceFiscaleAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdAssistitoFuoriAnagrafe

          public java.lang.String getIdAssistitoFuoriAnagrafe()

      Recupera il valore della proprietà idAssistitoFuoriAnagrafe.
      Returns:
        possible object is `String`

    - #### setIdAssistitoFuoriAnagrafe

          public void setIdAssistitoFuoriAnagrafe(java.lang.String value)

      Imposta il valore della proprietà idAssistitoFuoriAnagrafe.
      Parameters:
        `value` - allowed object is `String`

    - #### getAssistitoFuoriAnagrafe

          public AssistibileFuoriAnagrafeRequest getAssistitoFuoriAnagrafe()

      Recupera il valore della proprietà assistitoFuoriAnagrafe.
      Returns:
        possible object is `AssistibileFuoriAnagrafeRequest`

    - #### setAssistitoFuoriAnagrafe

          public void setAssistitoFuoriAnagrafe(AssistibileFuoriAnagrafeRequest value)

      Imposta il valore della proprietà assistitoFuoriAnagrafe.
      Parameters:
        `value` - allowed object is `AssistibileFuoriAnagrafeRequest`

    - #### getElencoPrestazioni

          public RicettaErogataRequest.ElencoPrestazioni getElencoPrestazioni()

      Recupera il valore della proprietà elencoPrestazioni.
      Returns:
        possible object is `RicettaErogataRequest.ElencoPrestazioni`

    - #### setElencoPrestazioni

          public void setElencoPrestazioni(RicettaErogataRequest.ElencoPrestazioni value)

      Imposta il valore della proprietà elencoPrestazioni.
      Parameters:
        `value` - allowed object is `RicettaErogataRequest.ElencoPrestazioni`